package $package;

import org.junit.Before;
import org.junit.Test;
import org.ow2.weblab.core.services.InvalidParameterException;
import org.ow2.weblab.core.services.resourcecontainer.SaveResourceArgs;

/**
 * Template for WebLab service test which uses ResourceContainer interface
 * 
 * @author WebLab Team
 */
public class $classNameTest {


	/**
	 * Instance of service which implement a ResourceContainer
	 */
	private $className resourceContainer;


	/**
	 * Initialisation before tests
	 */
	@Before
	public void init() {
		this.resourceContainer = new $className();
	}


	/**
	 * Exception tests
	 */
	@Test(expected = InvalidParameterException.class)
	public void testNullLoadResourceArgs() throws Exception {
		this.resourceContainer = new $className();
		this.resourceContainer.loadResource(null);
	}


	/**
	 * Exception tests
	 */
	@Test(expected = InvalidParameterException.class)
	public void testNullSaveResourceArgs() throws Exception {
		this.resourceContainer = new $className();
		this.resourceContainer.saveResource(null);
	}


	/**
	 * Exception tests
	 */
	@Test(expected = InvalidParameterException.class)
	public void testNullResourceSaveResourceArgs() throws Exception {
		this.resourceContainer = new $className();
		this.resourceContainer.saveResource(new SaveResourceArgs());
	}

}